<!DOCTYPE html><html class="default" lang="en"><head><meta charSet="utf-8"/><meta http-equiv="x-ua-compatible" content="IE=edge"/><title>@foyer-inc/api-sdk</title><meta name="description" content="Documentation for @foyer-inc/api-sdk"/><meta name="viewport" content="width=device-width, initial-scale=1"/><link rel="stylesheet" href="assets/style.css"/><link rel="stylesheet" href="assets/highlight.css"/><script async src="assets/search.js" id="search-script"></script></head><body><script>document.documentElement.dataset.theme = localStorage.getItem("tsd-theme") || "os"</script><header class="tsd-page-toolbar">
<div class="tsd-toolbar-contents container">
<div class="table-cell" id="tsd-search" data-base=".">
<div class="field"><label for="tsd-search-field" class="tsd-widget tsd-toolbar-icon search no-caption"><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><path d="M15.7824 13.833L12.6666 10.7177C12.5259 10.5771 12.3353 10.499 12.1353 10.499H11.6259C12.4884 9.39596 13.001 8.00859 13.001 6.49937C13.001 2.90909 10.0914 0 6.50048 0C2.90959 0 0 2.90909 0 6.49937C0 10.0896 2.90959 12.9987 6.50048 12.9987C8.00996 12.9987 9.39756 12.4863 10.5008 11.6239V12.1332C10.5008 12.3332 10.5789 12.5238 10.7195 12.6644L13.8354 15.7797C14.1292 16.0734 14.6042 16.0734 14.8948 15.7797L15.7793 14.8954C16.0731 14.6017 16.0731 14.1267 15.7824 13.833ZM6.50048 10.499C4.29094 10.499 2.50018 8.71165 2.50018 6.49937C2.50018 4.29021 4.28781 2.49976 6.50048 2.49976C8.71001 2.49976 10.5008 4.28708 10.5008 6.49937C10.5008 8.70852 8.71314 10.499 6.50048 10.499Z" fill="var(--color-text)"></path></svg></label><input type="text" id="tsd-search-field" aria-label="Search"/></div>
<div class="field">
<div id="tsd-toolbar-links"></div></div>
<ul class="results">
<li class="state loading">Preparing search index...</li>
<li class="state failure">The search index is not available</li></ul><a href="" class="title">@foyer-inc/api-sdk</a></div>
<div class="table-cell" id="tsd-widgets"><a href="#" class="tsd-widget tsd-toolbar-icon menu no-caption" data-toggle="menu" aria-label="Menu"><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><rect x="1" y="3" width="14" height="2" fill="var(--color-text)"></rect><rect x="1" y="7" width="14" height="2" fill="var(--color-text)"></rect><rect x="1" y="11" width="14" height="2" fill="var(--color-text)"></rect></svg></a></div></div></header>
<div class="container container-main">
<div class="col-8 col-content">
<div class="tsd-page-title">
<h2>@foyer-inc/api-sdk</h2></div>
<div class="tsd-panel tsd-typography">
<a href="#foyer-api" id="foyer-api" style="color: inherit; text-decoration: none;">
  <h1>Foyer API</h1>
</a>
<p><a href="https://www.npmjs.com/package/@foyer-inc/api-sdk"><img src="https://img.shields.io/npm/v/@foyer-inc/api-sdk.svg" alt="npm"></a> <a href="https://gitlab.com/foyerinc/foyer/api-sdks"><img src="https://img.shields.io/npm/l/@foyer-inc/api-sdk.svg" alt="MIT License"></a></p>
<p>Additional documentation at <a href="https://foyerinc.gitlab.io/foyer/api-sdks">Docs</a></p>
<p>Additional details on filter structure available at <a href="https://sequelize.org/docs/v6/core-concepts/model-querying-basics">Sequelize</a></p>

<a href="#listed-below-is-example-usage-of-the-foyer-api-sdk" id="listed-below-is-example-usage-of-the-foyer-api-sdk" style="color: inherit; text-decoration: none;">
  <h3>Listed below is example usage of the Foyer api-sdk</h3>
</a>
<pre><code class="language-js"><span class="hl-0">import</span><span class="hl-1"> { </span><span class="hl-2">OpenAPI</span><span class="hl-1">, </span><span class="hl-2">PropertyService</span><span class="hl-1"> } </span><span class="hl-0">from</span><span class="hl-1"> </span><span class="hl-3">&#39;@foyer-inc/api-sdk&#39;</span><span class="hl-1">;</span><br/><br/><span class="hl-4">//usually will not need to change this but it is available for redirecting requests away from the main production api</span><br/><span class="hl-2">OpenAPI</span><span class="hl-1">.</span><span class="hl-5">BASE</span><span class="hl-1"> = </span><span class="hl-3">&#39;remote api endpoint&#39;</span><span class="hl-1">;</span><br/><br/><span class="hl-4">//use auth token from Okta or from UserService.login</span><br/><span class="hl-4">//needed to access protected endpoints</span><br/><span class="hl-4">//set statically and globally</span><br/><span class="hl-2">OpenAPI</span><span class="hl-1">.</span><span class="hl-5">TOKEN</span><span class="hl-1"> = </span><span class="hl-3">&#39;token&#39;</span><span class="hl-1">;</span><br/><br/><span class="hl-4">//use await/async  or Promise callback</span><br/><span class="hl-6">const</span><span class="hl-1"> </span><span class="hl-5">properties</span><span class="hl-1"> = </span><span class="hl-0">await</span><span class="hl-1"> </span><span class="hl-2">PropertyService</span><span class="hl-1">.</span><span class="hl-7">getProperties</span><span class="hl-1">();</span><br/><br/><span class="hl-2">PropertyService</span><span class="hl-1">.</span><span class="hl-7">getProperties</span><span class="hl-1">().</span><span class="hl-7">then</span><span class="hl-1">((</span><span class="hl-2">value</span><span class="hl-1">) </span><span class="hl-6">=&gt;</span><span class="hl-1"> </span><span class="hl-2">console</span><span class="hl-1">.</span><span class="hl-7">log</span><span class="hl-1">(</span><span class="hl-2">value</span><span class="hl-1">));</span><br/><br/><span class="hl-4">//Typically used with a filter to specify which Properties to return</span><br/><span class="hl-4">//The filter is also used to indicate which related models should also be returned</span><br/><br/><span class="hl-6">const</span><span class="hl-1"> </span><span class="hl-5">filter</span><span class="hl-1"> = {</span><br/><span class="hl-1">  </span><span class="hl-4">// For more granularity, all fields on Property are able to be included as search criteria.</span><br/><span class="hl-1">  </span><span class="hl-2">where:</span><span class="hl-1"> {</span><br/><span class="hl-1">    </span><span class="hl-2">BedroomsTotal:</span><span class="hl-1"> </span><span class="hl-8">2</span><br/><span class="hl-1">    </span><span class="hl-2">BathroomsTotalInteger</span><span class="hl-1">: {</span><br/><span class="hl-1">      </span><span class="hl-2">gt:</span><span class="hl-1"> </span><span class="hl-8">2</span><br/><span class="hl-1">    }</span><br/><span class="hl-1">  },</span><br/><span class="hl-1">  </span><span class="hl-4">//an array of column names to return. helpful to limit returning unnecessary information</span><br/><span class="hl-1">  </span><span class="hl-2">attributes:</span><span class="hl-1"> [</span><span class="hl-3">&quot;ListingKey&quot;</span><span class="hl-1">, </span><span class="hl-3">&quot;StreetNumber&quot;</span><span class="hl-1">],</span><br/><span class="hl-1">  </span><span class="hl-4">//an array of associated models to return,</span><br/><span class="hl-1">  </span><span class="hl-4">//elements in this array can also be narrowed by including a similarly structured filter</span><br/><span class="hl-1">  </span><span class="hl-2">include:</span><span class="hl-1"> [</span><br/><span class="hl-1">    { </span><span class="hl-2">association:</span><span class="hl-1"> </span><span class="hl-3">&quot;Media&quot;</span><span class="hl-1"> }</span><br/><span class="hl-1">  ],</span><br/><span class="hl-1">  </span><span class="hl-4">// an integer for how many entries to return</span><br/><span class="hl-1">  </span><span class="hl-2">limit:</span><span class="hl-1"> </span><span class="hl-8">10</span><span class="hl-1">,</span><br/><span class="hl-1">  </span><span class="hl-4">// an integer for how many entries to skip, useful for pagination</span><br/><span class="hl-1">  </span><span class="hl-2">offset:</span><span class="hl-1"> </span><span class="hl-8">10</span><span class="hl-1">,</span><br/><span class="hl-1">};</span><br/><br/><span class="hl-6">const</span><span class="hl-1"> </span><span class="hl-5">properties</span><span class="hl-1"> = </span><span class="hl-0">await</span><span class="hl-1"> </span><span class="hl-2">PropertyService</span><span class="hl-1">.</span><span class="hl-7">getProperties</span><span class="hl-1">(</span><span class="hl-5">JSON</span><span class="hl-1">.</span><span class="hl-7">stringify</span><span class="hl-1">(</span><span class="hl-2">filter</span><span class="hl-1">));</span><br/><span class="hl-4">//example usage with verbosity param instead of filter object</span><br/><span class="hl-2">PropertyService</span><span class="hl-1">.</span><span class="hl-7">getProperties</span><span class="hl-1">(</span><span class="hl-6">undefined</span><span class="hl-1">, </span><span class="hl-3">&#39;card&#39;</span><span class="hl-1">).</span><span class="hl-7">then</span><span class="hl-1">((</span><span class="hl-2">value</span><span class="hl-1">) </span><span class="hl-6">=&gt;</span><br/><span class="hl-1">  </span><span class="hl-2">console</span><span class="hl-1">.</span><span class="hl-7">log</span><span class="hl-1">(</span><span class="hl-2">value</span><span class="hl-1">)</span><br/><span class="hl-1">);</span>
</code></pre>
<p>RESO
Available Foyer models comply with RESO Spec</p>
<p>See <a href="https://ddwiki.reso.org/display/DDW17/RESO+Data+Dictionary+Wiki+1.7">RESO Data Dictionary</a> for a comprehensive look at RESO</p>
<p>See <a href="https://docs.google.com/spreadsheets/d/1SZ0b6T4_lz6ti6qB2Je7NSz_9iNOaV_v9dbfhPwWgXA/edit?usp=sharing">Reference Worksheet</a> for Standard Relationships</p>
</div></div>
<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
<div class="tsd-navigation settings">
<details class="tsd-index-accordion"><summary class="tsd-accordion-summary">
<h3><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><path d="M4.93896 8.531L12 15.591L19.061 8.531L16.939 6.409L12 11.349L7.06098 6.409L4.93896 8.531Z" fill="var(--color-text)"></path></svg> Settings</h3></summary>
<div class="tsd-accordion-details">
<div class="tsd-filter-visibility">
<h4 class="uppercase">Member Visibility</h4><form>
<ul id="tsd-filter-options">
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-protected" name="protected"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Protected</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-private" name="private"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Private</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-inherited" name="inherited" checked/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Inherited</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-external" name="external"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>External</span></label></li></ul></form></div>
<div class="tsd-theme-toggle">
<h4 class="uppercase">Theme</h4><select id="theme"><option value="os">OS</option><option value="light">Light</option><option value="dark">Dark</option></select></div></div></details></div>
<nav class="tsd-navigation primary">
<details class="tsd-index-accordion" open><summary class="tsd-accordion-summary">
<h3><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><path d="M4.93896 8.531L12 15.591L19.061 8.531L16.939 6.409L12 11.349L7.06098 6.409L4.93896 8.531Z" fill="var(--color-text)"></path></svg> Modules</h3></summary>
<div class="tsd-accordion-details">
<ul>
<li class="current selected"><a href="modules.html">@foyer-<wbr/>inc/api-<wbr/>sdk</a>
<ul>
<li class="tsd-kind-namespace"><a href="modules/Location.html">Location</a></li>
<li class="tsd-kind-namespace"><a href="modules/PatchDocument.html">Patch<wbr/>Document</a></li></ul></li></ul></div></details></nav>
<nav class="tsd-navigation secondary menu-sticky">
<ul>
<li class="tsd-kind-class"><a href="classes/ApiError.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><rect fill="var(--color-icon-background)" stroke="var(--color-ts-class)" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="6" id="icon-128-path"></rect><path d="M11.898 16.1201C11.098 16.1201 10.466 15.8961 10.002 15.4481C9.53803 15.0001 9.30603 14.3841 9.30603 13.6001V9.64012C9.30603 8.85612 9.53803 8.24012 10.002 7.79212C10.466 7.34412 11.098 7.12012 11.898 7.12012C12.682 7.12012 13.306 7.34812 13.77 7.80412C14.234 8.25212 14.466 8.86412 14.466 9.64012H13.386C13.386 9.14412 13.254 8.76412 12.99 8.50012C12.734 8.22812 12.37 8.09212 11.898 8.09212C11.426 8.09212 11.054 8.22412 10.782 8.48812C10.518 8.75212 10.386 9.13212 10.386 9.62812V13.6001C10.386 14.0961 10.518 14.4801 10.782 14.7521C11.054 15.0161 11.426 15.1481 11.898 15.1481C12.37 15.1481 12.734 15.0161 12.99 14.7521C13.254 14.4801 13.386 14.0961 13.386 13.6001H14.466C14.466 14.3761 14.234 14.9921 13.77 15.4481C13.306 15.8961 12.682 16.1201 11.898 16.1201Z" fill="var(--color-text)" id="icon-128-text"></path></svg>Api<wbr/>Error</a></li>
<li class="tsd-kind-class"><a href="classes/CancelError.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Cancel<wbr/>Error</a></li>
<li class="tsd-kind-class"><a href="classes/CancelablePromise.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Cancelable<wbr/>Promise</a></li>
<li class="tsd-kind-class"><a href="classes/EnvisionAssetService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Envision<wbr/>Asset<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/ErrorFeedbackService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Error<wbr/>Feedback<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/FavoriteService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Favorite<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/LandmarkService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Landmark<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/MediaService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Media<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/MemberService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Member<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/OfficeService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Office<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/PropertyService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Property<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/PublisherService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Publisher<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/ShareService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Share<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/ShopperService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Shopper<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/TransactionService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>Transaction<wbr/>Service</a></li>
<li class="tsd-kind-class"><a href="classes/UserService.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-128-path"></use><use href="#icon-128-text"></use></svg>User<wbr/>Service</a></li>
<li class="tsd-kind-type-alias"><a href="types/AnyValue.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><rect fill="var(--color-icon-background)" stroke="var(--color-ts)" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="6" id="icon-4194304-path"></rect><path d="M11.31 16V8.224H8.91V7.24H14.79V8.224H12.39V16H11.31Z" fill="var(--color-text)" id="icon-4194304-text"></path></svg>Any<wbr/>Value</a></li>
<li class="tsd-kind-type-alias"><a href="types/ApiUsage.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Api<wbr/>Usage</a></li>
<li class="tsd-kind-type-alias"><a href="types/Attribute.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Attribute</a></li>
<li class="tsd-kind-type-alias"><a href="types/BoundingBox.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Bounding<wbr/>Box</a></li>
<li class="tsd-kind-type-alias"><a href="types/ContactListingNotes.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Contact<wbr/>Listing<wbr/>Notes</a></li>
<li class="tsd-kind-type-alias"><a href="types/ContactListings.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Contact<wbr/>Listings</a></li>
<li class="tsd-kind-type-alias"><a href="types/Contacts.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Contacts</a></li>
<li class="tsd-kind-type-alias"><a href="types/Coordinates.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Coordinates</a></li>
<li class="tsd-kind-type-alias"><a href="types/DeltaReason.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Delta<wbr/>Reason</a></li>
<li class="tsd-kind-type-alias"><a href="types/EnvisionAsset.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Envision<wbr/>Asset</a></li>
<li class="tsd-kind-type-alias"><a href="types/ErrorFeedback.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Error<wbr/>Feedback</a></li>
<li class="tsd-kind-type-alias"><a href="types/ErrorsCalculatingFoyerScore.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Errors<wbr/>Calculating<wbr/>Foyer<wbr/>Score</a></li>
<li class="tsd-kind-type-alias"><a href="types/Favorite.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Favorite</a></li>
<li class="tsd-kind-type-alias"><a href="types/GetPropertyByViewerKeyResponse.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Get<wbr/>Property<wbr/>By<wbr/>Viewer<wbr/>Key<wbr/>Response</a></li>
<li class="tsd-kind-type-alias"><a href="types/HistoryTransactional.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>History<wbr/>Transactional</a></li>
<li class="tsd-kind-type-alias"><a href="types/InternetTracking.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Internet<wbr/>Tracking</a></li>
<li class="tsd-kind-type-alias"><a href="types/Label.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Label</a></li>
<li class="tsd-kind-type-alias"><a href="types/Landmark.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Landmark</a></li>
<li class="tsd-kind-type-alias"><a href="types/Location-1.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Location</a></li>
<li class="tsd-kind-type-alias"><a href="types/Media.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Media</a></li>
<li class="tsd-kind-type-alias"><a href="types/Member.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Member</a></li>
<li class="tsd-kind-type-alias"><a href="types/OUID.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>OUID</a></li>
<li class="tsd-kind-type-alias"><a href="types/Office.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Office</a></li>
<li class="tsd-kind-type-alias"><a href="types/OpenAPIConfig.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>OpenAPIConfig</a></li>
<li class="tsd-kind-type-alias"><a href="types/OpenHouse.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Open<wbr/>House</a></li>
<li class="tsd-kind-type-alias"><a href="types/PatchBody.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Patch<wbr/>Body</a></li>
<li class="tsd-kind-type-alias"><a href="types/PatchDocument-1.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Patch<wbr/>Document</a></li>
<li class="tsd-kind-type-alias"><a href="types/Property.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Property</a></li>
<li class="tsd-kind-type-alias"><a href="types/PropertyGreenVerification.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Property<wbr/>Green<wbr/>Verification</a></li>
<li class="tsd-kind-type-alias"><a href="types/PropertyPowerProduction.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Property<wbr/>Power<wbr/>Production</a></li>
<li class="tsd-kind-type-alias"><a href="types/PropertyRooms.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Property<wbr/>Rooms</a></li>
<li class="tsd-kind-type-alias"><a href="types/PropertyScore.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Property<wbr/>Score</a></li>
<li class="tsd-kind-type-alias"><a href="types/PropertyUnitTypes.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Property<wbr/>Unit<wbr/>Types</a></li>
<li class="tsd-kind-type-alias"><a href="types/Prospecting.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Prospecting</a></li>
<li class="tsd-kind-type-alias"><a href="types/Publisher.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Publisher</a></li>
<li class="tsd-kind-type-alias"><a href="types/Queue.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Queue</a></li>
<li class="tsd-kind-type-alias"><a href="types/Rules.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Rules</a></li>
<li class="tsd-kind-type-alias"><a href="types/SavedSearch.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Saved<wbr/>Search</a></li>
<li class="tsd-kind-type-alias"><a href="types/Score.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Score</a></li>
<li class="tsd-kind-type-alias"><a href="types/Segmap.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Segmap</a></li>
<li class="tsd-kind-type-alias"><a href="types/Share.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Share</a></li>
<li class="tsd-kind-type-alias"><a href="types/Shopper.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Shopper</a></li>
<li class="tsd-kind-type-alias"><a href="types/Showing.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Showing</a></li>
<li class="tsd-kind-type-alias"><a href="types/Syndication.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Syndication</a></li>
<li class="tsd-kind-type-alias"><a href="types/TeamMembers.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Team<wbr/>Members</a></li>
<li class="tsd-kind-type-alias"><a href="types/Teams.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Teams</a></li>
<li class="tsd-kind-type-alias"><a href="types/Transaction.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Transaction</a></li>
<li class="tsd-kind-type-alias"><a href="types/Trial.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>Trial</a></li>
<li class="tsd-kind-type-alias"><a href="types/User.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><use href="#icon-4194304-path"></use><use href="#icon-4194304-text"></use></svg>User</a></li>
<li class="tsd-kind-variable"><a href="variables/OpenAPI.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><rect fill="var(--color-icon-background)" stroke="var(--color-ts-variable)" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="6" id="icon-32-path"></rect><path d="M11.106 16L8.85 7.24H9.966L11.454 13.192C11.558 13.608 11.646 13.996 11.718 14.356C11.79 14.708 11.842 14.976 11.874 15.16C11.906 14.976 11.954 14.708 12.018 14.356C12.09 13.996 12.178 13.608 12.282 13.192L13.758 7.24H14.85L12.582 16H11.106Z" fill="var(--color-text)" id="icon-32-text"></path></svg>OpenAPI</a></li></ul></nav></div></div>
<div class="container tsd-generator">
<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p></div>
<div class="overlay"></div><script src="assets/main.js"></script></body></html>